#!/bin/bash

transpose ()
{
    # XXX relies on all rows having the same length (otherwise this truncates
    # data to the row with fewest entries!)
    python -c "import sys; print('\n'.join(','.join(c) for c in zip(*(l.strip().split(',') for l in sys.stdin.readlines() if l.strip()))))"
}

for kernel in 2.6.32-131.0.15.el6.x86_64 2.6.32-220.17.1.el6.x86_64; do
    rm -f $kernel.csv $kernel.csv.t
    for logfile in results.$kernel.trial*log; do
        grep Trial $logfile | sed -e 's/.*0:00://' | paste -sd ',' >> $kernel.csv.t
    done
    transpose < $kernel.csv.t > $kernel.csv
done

