/*
 * Just an skeleton module.  Useful for debugging.
 *
 * Written by: Prarit Bhargava <prarit@redhat.com>
 *
 * Please don't clutter this file with a bunch of bells-and-whistles.  It
 * is meant to be a simple module.
 */
#include <linux/init.h>
#include <linux/module.h>
#include <linux/kernel.h>

static int ipi_time_runs = 1;

static void ipi_cpu_callback(void *unused)
{
	printk("cpu %d callback\n", smp_processor_id());
}

static int init_ipi_time(void)
{
	int i;

	for (i = 0; i <= ipi_time_runs; i++) {
		printk("ipi test start\n");
		on_each_cpu(ipi_cpu_callback, NULL, 0);
		printk("ipi test finish\n");
	}
	return 0;
}

static void cleanup_ipi_time(void)
{
	printk("unloading module\n");
}

module_init(init_ipi_time);
module_exit(cleanup_ipi_time);

MODULE_LICENSE("GPL"); // avoid GPL issues

module_param(ipi_time_runs, int, 0444);
MODULE_PARM_DESC(ipi_time_arg, "An argument for this module");
